Package net.commoble.infiniverse.internal

# Class ReflectionBuddy.MinecraftServerAccess

java.lang.Object
net.commoble.infiniverse.internal.ReflectionBuddy.MinecraftServerAccess

Enclosing class:
  ReflectionBuddy

public static class ReflectionBuddy.MinecraftServerAccess extends Object
fields in MinecraftServer needed for registering dimensions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Function<net.minecraft.server.MinecraftServer,Executor>`
`executor`
`static final Function<net.minecraft.server.MinecraftServer,net.minecraft.server.level.progress.ChunkProgressListenerFactory>`
`progressListenerFactory`
`static final Function<net.minecraft.server.MinecraftServer,net.minecraft.core.LayeredRegistryAccess<net.minecraft.server.RegistryLayer>>`
`registries`
`static final Function<net.minecraft.server.MinecraftServer,net.minecraft.world.level.storage.LevelStorageSource.LevelStorageAccess>`
`storageSource`

## Constructor Summary

Constructors
Constructor
Description
`MinecraftServerAccess()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### progressListenerFactory

public static final Function<net.minecraft.server.MinecraftServer,net.minecraft.server.level.progress.ChunkProgressListenerFactory> progressListenerFactory

### executor

public static final Function<net.minecraft.server.MinecraftServer,Executor> executor

### storageSource

public static final Function<net.minecraft.server.MinecraftServer,net.minecraft.world.level.storage.LevelStorageSource.LevelStorageAccess> storageSource

### registries

public static final Function<net.minecraft.server.MinecraftServer,net.minecraft.core.LayeredRegistryAccess<net.minecraft.server.RegistryLayer>> registries

## Constructor Details

### MinecraftServerAccess

public MinecraftServerAccess()